package com.xhpc.evcs.cdjgpc.dto;

import com.fasterxml.jackson.annotation.*;

import java.util.HashMap;
import java.util.Map;

/**
 * @author yuyang
 * @date 2023-10-08 15:18
 */
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY, getterVisibility = JsonAutoDetect.Visibility.NONE,
        setterVisibility = JsonAutoDetect.Visibility.NONE, creatorVisibility = JsonAutoDetect.Visibility.NONE)
public class CDConnectorStatusInfoReq {
    @JsonProperty("ConnectorStatusInfo")
    private CDConnectorStatusInfo connectorStatusInfo;

    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("ConnectorStatusInfo")
    public CDConnectorStatusInfo getConnectorStatusInfo() {

        return connectorStatusInfo;
    }

    @JsonProperty("ConnectorStatusInfo")
    public void setConnectorStatusInfo(CDConnectorStatusInfo connectorStatusInfo) {

        this.connectorStatusInfo = connectorStatusInfo;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {

        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {

        this.additionalProperties.put(name, value);
    }
}
